FROM docker.io/node:14.15.4-stretch-slim AS build

WORKDIR /usr/src/ui

COPY package*.json ./

RUN npm install

COPY . .

RUN npm install -g @quasar/cli

# RUN npm install -g pm2

# RUN quasar build -m ssr; exit 0
RUN quasar build; exit 0

FROM docker.io/node:14.15.4-stretch-slim AS app

WORKDIR /app

# RUN groupadd -r nobody && useradd --no-log-init -r -g nobody nobody

# RUN chown nobody:nobody /app

# USER nobody:nobody

COPY --from=build /usr/src/ui/dist/spa ./
COPY --from=build /usr/src/ui/package.* ./
COPY --from=build /usr/src/ui/server.js ./

RUN npm install

RUN npm install -g pm2

CMD ["pm2-runtime", "server.js"]

# CMD ["node", "index.js"]
